com.virtual.tour.road.com.virtual.tour.road.vista

## Class ForthFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.virtual.tour.road.com.virtual.tour.road.vista.ForthFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.view.View.OnCreateContextMenuListener

      public class ForthFragment
      extends android.support.v4.app.Fragment

  Created by Carolina Bonnin. Cuarto fragment. Se llama desde el menu principal. Ejecuta la actividad para recuperar rutas.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ForthFragment.OnFragmentInteractionListener`

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ForthFragment.OnFragmentInteractionListener` | `mListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForthFragment()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ForthFragment` | `newInstance(java.lang.String param1, java.lang.String param2)`
    `void` | `onAttach(android.app.Activity activity)` Called when a fragment is first attached to its activity.
    `void` | `onButtonPressed(android.net.Uri uri)`
    `void` | `onCreate(android.os.Bundle savedInstanceState)` Called to do initial creation of a fragment.
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` Called to have the fragment instantiate its user interface view.
    `void` | `onDetach()` Called when the fragment is no longer attached to its activity.

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getEnterTransition, getExitTransition, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isVisible, onActivityCreated, onActivityResult, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onHiddenChanged, onInflate, onLowMemory, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPrepareOptionsMenu, onResume, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, registerForContextMenu, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mListener

          private ForthFragment.OnFragmentInteractionListener mListener

  - ### Constructor Detail

    - #### ForthFragment

          public ForthFragment()

  - ### Method Detail

    - #### newInstance

          public static ForthFragment newInstance(java.lang.String param1,
                                                  java.lang.String param2)

    - #### onAttach

          public void onAttach(android.app.Activity activity)

      Description copied from class: `android.support.v4.app.Fragment`
      Called when a fragment is first attached to its activity. `Fragment.onCreate(Bundle)` will be called after this.
      Overrides:
        `onAttach` in class `android.support.v4.app.Fragment`

    - #### onButtonPressed

          public void onButtonPressed(android.net.Uri uri)

    - #### onCreate

          public void onCreate(android.os.Bundle savedInstanceState)

      Description copied from class: `android.support.v4.app.Fragment`
      Called to do initial creation of a fragment. This is called after `Fragment.onAttach(Activity)` and before `Fragment.onCreateView(LayoutInflater, ViewGroup, Bundle)`.

      Note that this can be called while the fragment's activity is still in the process of being created. As such, you can not rely on things like the activity's content view hierarchy being initialized at this point. If you want to do work once the activity itself is created, see `Fragment.onActivityCreated(Bundle)`.

      Overrides:
        `onCreate` in class `android.support.v4.app.Fragment`
      Parameters:
        `savedInstanceState` - If the fragment is being re-created from a previous saved state, this is the state.

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                android.view.ViewGroup container,
                                                android.os.Bundle savedInstanceState)

      Description copied from class: `android.support.v4.app.Fragment`
      Called to have the fragment instantiate its user interface view. This is optional, and non-graphical fragments can return null (which is the default implementation). This will be called between `Fragment.onCreate(Bundle)` and `Fragment.onActivityCreated(Bundle)`.

      If you return a View from here, you will later be called in `Fragment.onDestroyView()` when the view is being released.

      Overrides:
        `onCreateView` in class `android.support.v4.app.Fragment`
      Parameters:
        `inflater` - The LayoutInflater object that can be used to inflate any views in the fragment,
        `container` - If non-null, this is the parent view that the fragment's UI should be attached to. The fragment should not add the view itself, but this can be used to generate the LayoutParams of the view.
        `savedInstanceState` - If non-null, this fragment is being re-constructed from a previous saved state as given here.
      Returns:
        Return the View for the fragment's UI, or null.

    - #### onDetach

          public void onDetach()

      Description copied from class: `android.support.v4.app.Fragment`
      Called when the fragment is no longer attached to its activity. This is called after `Fragment.onDestroy()`.
      Overrides:
        `onDetach` in class `android.support.v4.app.Fragment`